<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

use Cookie;

use App\Models\Lobby;

class ClientController extends Controller
{

	// GET /care_months
	public function entrance(Request $request, Lobby $lobby) {
        $sessionKey = Cookie::get('sessionKey');

        if(!$sessionKey){
            $loginUrl = env('BACKEND_URL', 'http://localhost:8080') . '/api/session/createStrangerSession';

            $response = Http::asForm()->post($loginUrl)->json();

            if(!$response['success']){
                return back()->with("message", $response['message']);
            }

            $sessionKey = $response['data'];

            $cookie = cookie()->forever('sessionKey', $sessionKey, '/');

            $response = new \Illuminate\Http\Response(view('client/index'));
            $response->withCookie($cookie);
            return $response;
        } else {
            return view('client/index');
        }
	}
}
